<h2>Additional split up</h2>
<div class="row">
  <div class="col-lg-6">
    <form class="form-horizontal" role="form" (ngSubmit)="addRow()">
      <div class="form-group">
        <label class="col-md-5 control-label">Split up id</label>
        <div class="col-md-7">
          <input type="text" class="form-control" name="id" [(ngModel)]="id" />
        </div>
      </div>
      <div class="form-group">
        <label class="col-md-5 control-label">Split up name</label>
        <div class="col-md-7">
          <input type="text" class="form-control" name="name" [(ngModel)]="name" />
        </div>
      </div>
      <div class="form-group">
        <label class="col-md-5 control-label">Split up amount</label>
        <div class="col-md-7">
          <input type="text" class="form-control" name="amount" [(ngModel)]="amount" />
        </div>
      </div>
      <div class="form-group">
        <div>
          <button class="btn btn-primary" type="submit">Add</button>
          <button class="btn btn-primary" (click)="saveData()" [mat-dialog-close]="additional_data">Save</button>
        </div>
      </div>
    </form>
  </div>
  <div class="col-lg-6">
    <table aria-describedby="Manage Company" class="table table-striped driver-listing table-bordered zoom">
      <thead>
        <tr>
          <th scope="col">Split ID</th>
          <th scope="col">Split up Name</th>
          <th scope="col">Amount</th>
          <th scope="col">Delete</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let adddata of additional_data; let i = index" [attr.data-index]="i">
          <td class="text-center">
            {{adddata.id}}
          </td>
          <td class="text-center">
            {{adddata.name}}
          </td>
          <td class="text-center">
            {{adddata.amount}}
          </td>
          <td class="text-center">
            <button class="btn btn-primary" (click)=remove(i)>Remove</button>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>